org.icefaces.ace.component.fileentry

## Class FileEntryEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.faces.event.FacesEvent
    - - org.icefaces.ace.component.fileentry.FileEntryEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class FileEntryEvent
      extends javax.faces.event.FacesEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileEntryEvent(javax.faces.component.UIComponent src, boolean invoke)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isAppropriateListener(javax.faces.event.FacesListener facesListener)`
    `boolean` | `isInvoke()` FileEntry depends on this event being broadcast every lifecycle that it executes, whereas the fileEntryListener should only be invoked when files have been uploaded.
    `void` | `processListener(javax.faces.event.FacesListener facesListener)`

    - ### Methods inherited from class javax.faces.event.FacesEvent

      `getComponent, getPhaseId, queue, setPhaseId`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileEntryEvent

          public FileEntryEvent(javax.faces.component.UIComponent src,
                                boolean invoke)

  - ### Method Detail

    - #### isInvoke

          public boolean isInvoke()

      FileEntry depends on this event being broadcast every lifecycle that it executes, whereas the fileEntryListener should only be invoked when files have been uploaded. So, this invoked flag tracks when to invoke the fileEntryListener.
      Returns:
        Whether to invoke the fileEntry component's fileEntryListener

    - #### processListener

          public void processListener(javax.faces.event.FacesListener facesListener)

      Specified by:
        `processListener` in class `javax.faces.event.FacesEvent`

    - #### isAppropriateListener

          public boolean isAppropriateListener(javax.faces.event.FacesListener facesListener)

      Specified by:
        `isAppropriateListener` in class `javax.faces.event.FacesEvent`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.